
/*
  http://www.elektrosoft.it/tutorials/hbqt/hbqt.asp
  Sample Applications - Aquarius
  by Giovanni Di Maria 
*/



#include "marinas-gui.ch"


PROCEDURE Main()

   LOCAL oWnd
   LOCAL oSea
   LOCAL oClock
   LOCAL oFish1, oFish2, oFish3, oFish4, oFish5

   oWnd := QMainWindow()
   oWnd:SetFixedSize( 600, 400 )
   oWnd:setWindowTitle( "Finestra Giovanni" )

   oClock := QTimer()
   oClock:Connect( "timeout()", { || moveFish( oFish1, oFish2, oFish3, oFish4, oFish5 ) } )
   oClock:start( 50 )

   oSea := QLabel( oWnd )
   oSea:move( 0, 0 )
   oSea:resize( 600, 400 )
   oSea:SetPixmap( QPixmap( "acuarium.bmp" ) )

   oFish1 := QLabel( oWnd )
   oFish1:move( 300, 110 )
   oFish1:resize( 180, 180 )
   oFish1:SetPixmap( QPixmap( "fish1.png" ) )

   oFish2 := QLabel( oWnd )
   oFish2:move( 200, 40 )
   oFish2:resize( 150, 150 )
   oFish2:SetPixmap( QPixmap( "fish2.png" ) )

   oFish3 := QLabel( oWnd )
   oFish3:move( 100, 320 )
   oFish3:resize( 100, 50 )
   oFish3:SetPixmap( QPixmap( "fish3.png" ) )

   oFish4 := QLabel( oWnd )
   oFish4:move( 300, 250 )
   oFish4:resize( 150, 70 )
   oFish4:SetPixmap( QPixmap( "fish4.png" ) )

   oFish5 := QLabel( oWnd )
   oFish5:move( 50, 10 )
   oFish5:resize( 150, 70 )
   oFish5:SetPixmap( QPixmap( "fish5.png" ) )  

   oWnd:show()
   QApplication():exec()
   oClock:stop()

   RETURN

PROCEDURE moveFish( oF1, oF2, oF3, oF4, oF5 )

   oF1:move( oF1:x - 1, oF1:y )
   IF oF1:x <- 180
      oF1:move( 600, oF1:y )
   end IF

   oF2:move( oF2:x - 1.5, oF2:y )
   IF oF2:x <- 150
      oF2:move( 600, oF2:y )
   end IF

   oF3:move( oF3:x - 2, oF3:y )
   IF oF3:x <- 100
      oF3:move( 600, oF3:y )
   end IF

   oF4:move( oF4:x + 1.3 , oF4:y )
   IF oF4:x > 600
      oF4:move( - 150, oF4:y )
   end IF

   oF5:move( oF5:x + 1.5 , oF5:y )
   IF oF5:x > 600
      oF5:move( - 150, oF5:y )
   end IF

   RETURN
